import { P as l, bh as d, bi as a, bj as n, a0 as t, fv as p, V as i, bg as o, bl as h } from "./684d2f28.js";
import { useContext as r } from "react";
import "react-dom";
function u(c) {
  return (m) => {
    const {
      comp: s
    } = m, e = s.children;
    return /* @__PURE__ */ l(d, {
      children: [/* @__PURE__ */ l(a, {
        name: n.basic,
        children: [e.noOfRows.propertyView({
          label: t("listView.dataDesc"),
          tooltip: t("listView.dataTooltip")
        }), c === "grid" && e.noOfColumns.propertyView({
          label: t("listView.noOfColumns")
        }), e.itemIndexName.propertyView({
          label: t("listView.itemIndexName"),
          tooltip: p("listView.itemIndexNameDesc", {
            default: /* @__PURE__ */ i("b", {
              children: /* @__PURE__ */ i("i", {
                children: "i"
              })
            })
          })
        }), e.itemDataName.propertyView({
          label: t("listView.itemDataName"),
          tooltip: p("listView.itemDataNameDesc", {
            default: /* @__PURE__ */ i("b", {
              children: /* @__PURE__ */ i("i", {
                children: "currentItem"
              })
            })
          })
        })]
      }), (r(o).editorModeStatus === "logic" || r(o).editorModeStatus === "both") && /* @__PURE__ */ i(a, {
        name: t("prop.pagination"),
        children: s.children.pagination.getPropertyView()
      }), (r(o).editorModeStatus === "logic" || r(o).editorModeStatus === "both") && /* @__PURE__ */ i(a, {
        name: n.interaction,
        children: h(e)
      }), (r(o).editorModeStatus === "layout" || r(o).editorModeStatus === "both") && /* @__PURE__ */ l(d, {
        children: [/* @__PURE__ */ l(a, {
          name: n.layout,
          children: [e.autoHeight.getPropertyView(), (!e.autoHeight.getView() || e.horizontal.getView()) && e.scrollbars.propertyView({
            label: t("prop.scrollbar")
          }), e.horizontal.propertyView({
            label: t("prop.horizontal")
          }), e.horizontal.getView() && e.minHorizontalWidth.propertyView({
            label: t("prop.minHorizontalWidth"),
            placeholder: "100px"
          })]
        }), /* @__PURE__ */ i(a, {
          name: n.style,
          children: e.style.getPropertyView()
        })]
      })]
    });
  };
}
export {
  u as listPropertyView
};
